import { v4 as uuidv4 } from 'uuid';

// 生成一个随机字符串,且每次执行不能发生变化,游客身份持久存储
export const getUUID=()=>{
	// 从本地存储中获取uuid
	let uuid_token=localStorage.getItem("UUIDTOKEN")
	// 要是没uuid
	if(!uuid_token){
		uuid_token=uuidv4() //通过uuidv4()生成游客临时身份
		// 本地存储uuid
		localStorage.setItem("UUIDTOKEN",uuid_token)
	}
	// 切记要有返回值,没有返回值就是underfind
	return uuid_token
}